Package org.apache.commons.compress.archivers.zip

# Class UnsupportedZipFeatureException.Feature

java.lang.Object
org.apache.commons.compress.archivers.zip.UnsupportedZipFeatureException.Feature

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `UnsupportedZipFeatureException`

public static class UnsupportedZipFeatureException.Feature extends Object implements Serializable
ZIP Features that may or may not be supported.

Since:
  1.1
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final UnsupportedZipFeatureException.Feature`
  `DATA_DESCRIPTOR`
  The entry uses a data descriptor.
  `static final UnsupportedZipFeatureException.Feature`
  `ENCRYPTION`
  The entry is encrypted.
  `static final UnsupportedZipFeatureException.Feature`
  `METHOD`
  The entry used an unsupported compression method.
  `static final UnsupportedZipFeatureException.Feature`
  `SPLITTING`
  The archive uses splitting or spanning.
  `static final UnsupportedZipFeatureException.Feature`
  `UNKNOWN_COMPRESSED_SIZE`
  The archive contains entries with unknown compressed size for a compression method that doesn't support detection of the end of the compressed stream.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### ENCRYPTION

    public static final UnsupportedZipFeatureException.Feature ENCRYPTION
    The entry is encrypted.

  - ### METHOD

    public static final UnsupportedZipFeatureException.Feature METHOD
    The entry used an unsupported compression method.

  - ### DATA_DESCRIPTOR

    public static final UnsupportedZipFeatureException.Feature DATA_DESCRIPTOR
    The entry uses a data descriptor.

  - ### SPLITTING

    public static final UnsupportedZipFeatureException.Feature SPLITTING
    The archive uses splitting or spanning.
    Since:
      1.5

  - ### UNKNOWN_COMPRESSED_SIZE

    public static final UnsupportedZipFeatureException.Feature UNKNOWN_COMPRESSED_SIZE
    The archive contains entries with unknown compressed size for a compression method that doesn't support detection of the end of the compressed stream.
    Since:
      1.16

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`